Skip to main content

GET /api/v1/p2p/ads/{id}

Retrieve a single P2P advertisement by its ID, including the ad owner's public profile info.

Authentication​

Not required.

Request​

ParameterTypeInDescription
idintegerpathThe advertisement ID

Example​

curl https://example.com/api/v1/p2p/ads/42

Response​

200 OK​

Returns a P2PAd object with embedded user info.

{
"id": 42,
"user_id": 7,
"type": "sell",
"fiat_currency": "RUB",
"exchange_rate": 9350,
"min_amount": 50000,
"max_amount": 50000000,
"remaining_amount": 50000000,
"payment_methods": ["sber", "tinkoff"],
"instructions": "Transfer to the card number shown after order creation.",
"is_active": true,
"moderation_status": "approved",
"is_platform_ad": false,
"created_at": "2026-04-04T12:00:00Z",
"updated_at": "2026-04-04T12:00:00Z",
"user": {
"id": 7,
"name": "trader42",
"nickname": "trader42",
"avatar_url": "https://cdn.example.com/avatars/7.png",
"completed_orders": 128,
"p2p_avg_rating": 4.9
},
"user_avg_rating": 4.9
}

Errors​

StatusCodeDescription
404NOT_FOUNDAd with the given ID does not exist